cascading.flow.planner.iso.finder

## Class Match

- java.lang.Object
- - cascading.flow.planner.iso.finder.Match

-     public class Match
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected EnumMultiMap<FlowElement>` | `captureMap`
    `protected ElementGraph` | `elementGraph`
    `protected Collection<FlowElement>` | `foundElements`
    `protected Collection<Scope>` | `foundScopes`
    `protected ExpressionGraph` | `matchGraph`
    `protected Map<ElementExpression,FlowElement>` | `vertexMapping`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Match(ExpressionGraph matchGraph, ElementGraph elementGraph, Map<ElementExpression,FlowElement> vertexMapping, Collection<FlowElement> foundElements, Collection<Scope> foundScopes)`
    `Match(ExpressionGraph matchGraph, ElementGraph elementGraph, Map<ElementExpression,FlowElement> vertexMapping, Collection<FlowElement> foundElements, Collection<Scope> foundScopes, EnumMultiMap<FlowElement> captureMap)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `foundMatch()`
    `Set<FlowElement>` | `getCapturedElements(ElementCapture... captures)`
    `EnumMultiMap<FlowElement>` | `getCaptureMap()`
    `ElementGraph` | `getElementGraph()`
    `Collection<FlowElement>` | `getFoundElements()`
    `Set<FlowElement>` | `getIncludedElements()`
    `ElementSubGraph` | `getMatchedGraph()`
    `ExpressionGraph` | `getMatchGraph()`
    `Map<ElementExpression,FlowElement>` | `getVertexMapping()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### matchGraph

          protected final ExpressionGraph matchGraph

    - #### elementGraph

          protected final ElementGraph elementGraph

    - #### vertexMapping

          protected final Map<ElementExpression,FlowElement> vertexMapping

    - #### foundElements

          protected final Collection<FlowElement> foundElements

    - #### foundScopes

          protected final Collection<Scope> foundScopes

    - #### captureMap

          protected EnumMultiMap<FlowElement> captureMap

  - ### Constructor Detail

    - #### Match

          public Match(ExpressionGraph matchGraph,
               ElementGraph elementGraph,
               Map<ElementExpression,FlowElement> vertexMapping,
               Collection<FlowElement> foundElements,
               Collection<Scope> foundScopes)

    - #### Match

          public Match(ExpressionGraph matchGraph,
               ElementGraph elementGraph,
               Map<ElementExpression,FlowElement> vertexMapping,
               Collection<FlowElement> foundElements,
               Collection<Scope> foundScopes,
               EnumMultiMap<FlowElement> captureMap)

  - ### Method Detail

    - #### getElementGraph

          public ElementGraph getElementGraph()

    - #### getMatchGraph

          public ExpressionGraph getMatchGraph()

    - #### foundMatch

          public boolean foundMatch()

    - #### getVertexMapping

          public Map<ElementExpression,FlowElement> getVertexMapping()

    - #### getFoundElements

          public Collection<FlowElement> getFoundElements()

    - #### getMatchedGraph

          public ElementSubGraph getMatchedGraph()

    - #### getIncludedElements

          public Set<FlowElement> getIncludedElements()

    - #### getCapturedElements

          public Set<FlowElement> getCapturedElements(ElementCapture... captures)

    - #### getCaptureMap

          public EnumMultiMap<FlowElement> getCaptureMap()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2007-2015 Concurrent, Inc. All Rights Reserved.